npm "disappears" after an error occurred during "npm -g update" #2544

Closed
siddMahen opened this Issue Jun 19, 2012 · 4 comments

Projects

None yet

3 participants

@siddMahen

This is the error log:

npm ERR! Error: No compatible version found: connect@'>=1.8.5- <1.9.0-'
npm ERR! Valid install targets:
npm ERR! ["0.0.1","0.0.2","0.0.3","0.0.4","0.0.5","0.0.6","0.1.0","0.2.0","0.2.1","0.2.2","0.2.3","0.2.4","0.2.5","0.2.6","0.2.7","0.3.0","0.4.0","0.5.0","0.5.1","0.5.2","0.5.3","0.5.4","0.5.5","0.5.6","0.5.7","0.5.8","0.5.9","0.5.10","1.0.0","1.0.1","2.2.2","2.3.0","2.3.1","2.3.2","2.3.3"]
npm ERR!     at installTargetsError (/usr/local/lib/node_modules/npm/lib/cache.js:486:10)
npm ERR!     at next_ (/usr/local/lib/node_modules/npm/lib/cache.js:436:17)
npm ERR!     at next (/usr/local/lib/node_modules/npm/lib/cache.js:413:44)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache.js:406:5
npm ERR!     at saved (/usr/local/lib/node_modules/npm/lib/utils/npm-registry-client/get.js:151:7)
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:230:7
npm ERR!     at Object.oncomplete (fs.js:297:15)
npm ERR! You may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>
npm ERR! 
npm ERR! System Darwin 11.4.0
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "-g" "update"
npm ERR! cwd /Users/siddharth_mahen/GitProjects
npm ERR! node -v v0.7.11
npm ERR! npm -v 1.1.21
npm ERR! message No compatible version found: connect@'>=1.8.5- <1.9.0-'
npm ERR! message Valid install targets:
npm ERR! message ["0.0.1","0.0.2","0.0.3","0.0.4","0.0.5","0.0.6","0.1.0","0.2.0","0.2.1","0.2.2","0.2.3","0.2.4","0.2.5","0.2.6","0.2.7","0.3.0","0.4.0","0.5.0","0.5.1","0.5.2","0.5.3","0.5.4","0.5.5","0.5.6","0.5.7","0.5.8","0.5.9","0.5.10","1.0.0","1.0.1","2.2.2","2.3.0","2.3.1","2.3.2","2.3.3"]
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/siddharth_mahen/GitProjects/npm-debug.log
npm not ok

After which I couldn't do anything with npm:

[siddharth_mahen:~] $ npm list
-bash: /usr/local/bin/npm: No such file or directory

And npm appeared to be uninstalled:

[siddharth_mahen:~] $ which npm
[siddharth_mahen:~] $ // no ret val
@timoxley
npm member

Looks like a duplicate of #4099. @siddMahen can we please close this in favour of the other issue?

#4430

@siddMahen

Sure.

@siddMahen siddMahen closed this Jan 8, 2014
@domenic
npm member

Looks more like #4099 was a duplicate of this. Newer issues are duplicates of older ones, not the other way around. Oh well.

@timoxley
npm member

@domenic agreed, but I suggested the other one as it had more activity.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment